%global         momorel 1

Name:           perl-Log-Dispatch
Version:        2.42
Release:        %{momorel}m%{?dist}
Summary:        Dispatches messages to one or more outputs
License:        "Artistic 2.0"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Log-Dispatch/
Source0:        http://www.cpan.org/authors/id/D/DR/DROLSKY/Log-Dispatch-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Temp
BuildRequires:  perl-Params-Validate >= 0.15
BuildRequires:  perl-Sys-Syslog >= 0.25
BuildRequires:  perl-Test-Simple
BuildRequires:  perl-Test-TempDir
Requires:       perl-Params-Validate >= 0.15
Requires:       perl-Sys-Syslog >= 0.25
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module manages a set of Log::Dispatch::* output objects that can be
logged to via a unified interface.

%prep
%setup -q -n Log-Dispatch-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README.md
%{perl_vendorlib}/Log/Dispatch.pm
%{perl_vendorlib}/Log/Dispatch
%{_mandir}/man3/*

%changelog
* Sun Oct  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.42-1m)
- update to 2.42

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.41-4m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.41-3m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.41-2m)
- rebuild against perl-5.18.1

* Thu Jul 25 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.41-1m)
- update to 2.41

* Sat Jul  6 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.40-1m)
- update to 2.40

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.39-2m)
- rebuild against perl-5.18.0

* Mon Apr 22 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.39-1m)
- update to 2.39

* Mon Apr 15 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.38-1m)
- update to 2.38

* Mon Apr 15 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.37-1m)
- update to 2.37

* Tue Apr  9 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.36-1m)
- update to 2.36

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.35-2m)
- rebuild against perl-5.16.3

* Mon Jan 21 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.35-1m)
- update to 2.35

* Mon Dec 10 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.34-1m)
- update to 2.34

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.32-3m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.32-2m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.32-1m)
- update to 2.32
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.29-5m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.29-4m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.29-3m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.29-2m)
- rebuild for new GCC 4.6

* Sun Mar 20 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.29-1m)
- update to 2.29

* Tue Dec 14 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.28-1m)
- update to 2.28

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.27-2m)
- rebuild for new GCC 4.5

* Sun Oct 17 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.27-1m)
- update to 2.27
- Specfile re-generated by cpanspec 1.78.

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.26-7m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.26-6m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.26-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.26-4m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.26-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.26-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Oct 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.26-1m)
- update to 2.26

* Fri Sep 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.25-1m)
- update to 2.25

* Sun Sep 13 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.23-1m)
- update to 2.23

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.22-3m)
- rebuild against perl-5.10.1

* Sun Mar  1 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22-2m)
- arrange Requires and BuildRequirs

* Mon Feb  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.22-1m)
- update to 2.22

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.21-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.21-2m)
- rebuild against gcc43

* Sun Feb 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.21-1m)
- update to 2.21

* Sat Nov  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.20-1m)
- update to 2.20

* Fri Nov  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.19-1m)
- update to 2.19

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.18-1m)
- update to 2.18

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.17-2m)
- use vendor

* Sun Apr  1 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.17-1m)
- update to 2.17

* Wed Dec 20 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.15-1m)
- update to 2.15

* Sun Nov 19 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.14-1m)
- update to 2.14

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.13-1m)
- spec file was autogenerated
